__gnu_cxx::__pool< false > Class Reference

`#include <mt_allocator.h>`

Inheritance diagram for __gnu_cxx::__pool< false >:
[legend]

## Public Types

typedef unsigned short int | _Binmap_type
typedef std::size_t | size_t

## Public Member Functions

| __pool (const __pool_base::_Tune &__tune)
void | _M_adjust_freelist (const _Bin_record &, _Block_record *, size_t)
bool | _M_check_threshold (size_t __bytes)
void | _M_destroy () throw ()
size_t | _M_get_align ()
const _Bin_record & | _M_get_bin (size_t __which)
size_t | _M_get_binmap (size_t __bytes)
const _Tune & | _M_get_options () const
size_t | _M_get_thread_id ()
void | _M_initialize_once ()
void | _M_reclaim_block (char *__p, size_t __bytes) throw ()
char * | _M_reserve_block (size_t __bytes, const size_t __thread_id)
void | _M_set_options (_Tune __t)

## Protected Attributes

_Binmap_type * | _M_binmap
bool | _M_init
_Tune | _M_options

## Detailed Description

Specialization for single thread.

Definition at line 195 of file mt_allocator.h.

## Member Typedef Documentation

## _Binmap_type

typedef unsigned short int __gnu_cxx::__pool_base::_Binmap_type

inherited

Definition at line 53 of file mt_allocator.h.

## size_t

typedef std::size_t __gnu_cxx::__pool_base::size_t

inherited

Definition at line 54 of file mt_allocator.h.

## Constructor & Destructor Documentation

## __pool() [1/2]

__gnu_cxx::__pool< false >::__pool | ( |  | ) |

inline explicit

Definition at line 240 of file mt_allocator.h.

## __pool() [2/2]

__gnu_cxx::__pool< false >::__pool | ( | const __pool_base::_Tune & | __tune | ) |

inline explicit

Definition at line 243 of file mt_allocator.h.

## Member Function Documentation

## _M_adjust_freelist()

void __gnu_cxx::__pool< false >::_M_adjust_freelist | ( | const _Bin_record & | ,
|  | _Block_record * | ,
|  | size_t | )

inline

Definition at line 237 of file mt_allocator.h.

## _M_check_threshold()

bool __gnu_cxx::__pool_base::_M_check_threshold | ( | size_t | __bytes | ) |

inline inherited

Definition at line 147 of file mt_allocator.h.

## _M_get_align()

size_t __gnu_cxx::__pool_base::_M_get_align | ( |  | ) |

inline inherited

Definition at line 155 of file mt_allocator.h.

## _M_get_bin()

const _Bin_record & __gnu_cxx::__pool< false >::_M_get_bin | ( | size_t | __which | ) |

inline

Definition at line 233 of file mt_allocator.h.

## _M_get_binmap()

size_t __gnu_cxx::__pool_base::_M_get_binmap | ( | size_t | __bytes | ) |

inline inherited

Definition at line 151 of file mt_allocator.h.

## _M_get_options()

const _Tune & __gnu_cxx::__pool_base::_M_get_options | ( |  | ) | const

inline inherited

Definition at line 136 of file mt_allocator.h.

## _M_get_thread_id()

size_t __gnu_cxx::__pool< false >::_M_get_thread_id | ( |  | ) |

inline

Definition at line 230 of file mt_allocator.h.

## _M_initialize_once()

void __gnu_cxx::__pool< false >::_M_initialize_once | ( |  | ) |

inline

Definition at line 214 of file mt_allocator.h.

## _M_set_options()

void __gnu_cxx::__pool_base::_M_set_options | ( | _Tune | __t | ) |

inline inherited

Definition at line 140 of file mt_allocator.h.

## Member Data Documentation

## _M_binmap

_Binmap_type* __gnu_cxx::__pool_base::_M_binmap

protected inherited

Definition at line 177 of file mt_allocator.h.

## _M_init

bool __gnu_cxx::__pool_base::_M_init

protected inherited

Definition at line 182 of file mt_allocator.h.

## _M_options

_Tune __gnu_cxx::__pool_base::_M_options

protected inherited

Definition at line 175 of file mt_allocator.h.

The documentation for this class was generated from the following file:

- mt_allocator.h